Bug 1373090 - [downstream clone - 3.6.9] [Upgrade] Cluster compatibility upgrade 3.6-> 4.0 failed on a specific system
Summary: [downstream clone - 3.6.9] [Upgrade] Cluster compatibility upgrade 3.6-> 4.0 ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-3.6.9
: ---
Assignee: Andrej Krejcir
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On: 1367025
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-05 06:57 UTC by rhev-integ
Modified: 2016-09-21 18:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, a virtual machine with a null CPU profile id stored in the database caused a NPE when editing the virtual machine. Now, a virtual machine with a null CPU profile id stored in the database is correctly handled and the virtual machine can be edited.
Clone Of: 1367025
Environment:
Last Closed: 2016-09-21 18:06:52 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1929 normal SHIPPED_LIVE Moderate: Red Hat Virtualization Manager (RHV) bug fix 3.6.9 2016-09-21 21:57:10 UTC
oVirt gerrit 63296 ovirt-engine-3.6 MERGED core: Allow null cpu_profile_id in the DB 2016-09-05 16:26:39 UTC
oVirt gerrit 63382 ovirt-engine-3.6.9 MERGED core: Allow null cpu_profile_id in the DB 2016-09-06 09:20:56 UTC

Comment 1 Roy Golan 2016-09-05 07:02:35 UTC
Israel I need you to confirm if this VM didn't went through a cluster change. If it didn't it means we have some other place that caused the cpu profile to be null.

Comment 2 Israel Pinto 2016-09-05 07:20:11 UTC
The VM is create from template, it did not change cluster.
In the beginning of the test we update cpu socket and core, and then start the VM.

Comment 4 Israel Pinto 2016-09-13 06:03:16 UTC
Verify with: 3.6.9.1-0.1.1.el6
Host: 
OS Version: RHEL - 7.2 - 13.0.el7ev
Kernel Version: 3.10.0 - 327.30.1.el7.x86_64
KVM Version: 2.3.0 - 31.el7_2.21
LIBVIRT Version: libvirt-1.2.17-13.el7_2.5
VDSM Version: vdsm-4.17.35-1.el7ev

Steps: 
1. Create VM
2. Hot plug CPU to VM
3. Run Automation tests.

Results:
All Pass

Automation run:
https://rhev-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/3.6-GE-Tier1-x86_64/305/testReport/automation.ART.art.tests.rhevmtests.virt.hot_plug.hot_plug_cpu.hot_plug_cpu_test/

Comment 6 errata-xmlrpc 2016-09-21 18:06:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1929.html


Note You need to log in before you can comment on or make changes to this bug.